;;; oni-lisp-mode.el --- Lisp-mode configuration     -*- lexical-binding: t; -*-

;; Copyright (C) 2017  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 20190213225457
;; Package-Requires: (oni-company oni-flycheck paredit rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for `lisp-mode'. Enables the following minor modes:

;;   - `company-mode': For auto-completion.
;;   - `flycheck-mode': For syntax checking.
;;   - `paredit-mode': For structured editing.
;;   - `rainbow-delimiters-mode': For delimiter highlighting.

;;; Code:

(add-hook 'lisp-mode-hook 'paredit-mode)
(add-hook 'lisp-mode-hook 'rainbow-delimiters-mode)
(add-hook 'lisp-mode-hook 'flycheck-mode)
(add-hook 'lisp-mode-hook 'company-mode)

;;;###autoload (with-eval-after-load 'lisp-mode (require 'oni-lisp-mode))

(provide 'oni-lisp-mode)
;;; oni-lisp-mode.el ends here
